> ## Documentation Index
> Fetch the complete documentation index at: https://synapse-docs.apart.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Pending Invitations



## OpenAPI

````yaml /openapi.json get /v1/organizations/{organization_id}/invitations
openapi: 3.1.0
info:
  description: Are we on the same page?
  title: Synapse
  version: 0.1.0
servers: []
security: []
paths:
  /v1/organizations/{organization_id}/invitations:
    get:
      tags:
        - v1 control plane
      summary: Pending Invitations
      operationId: pending_invitations_v1_organizations__organization_id__invitations_get
      parameters:
        - in: query
          name: cursor
          required: false
          schema:
            anyOf:
              - maxLength: 512
                minLength: 1
                type: string
              - type: 'null'
            title: Cursor
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvitationPage'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
        - SessionCookie: []
components:
  schemas:
    InvitationPage:
      properties:
        items:
          items:
            $ref: '#/components/schemas/InvitationSummary'
          title: Items
          type: array
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      required:
        - items
      title: InvitationPage
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    InvitationSummary:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        created_by_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By User Id
        email:
          title: Email
          type: string
        expires_at:
          format: date-time
          title: Expires At
          type: string
        id:
          title: Id
          type: string
        organization_id:
          title: Organization Id
          type: string
        role:
          enum:
            - owner
            - admin
            - builder
            - developer
            - analyst
            - viewer
          title: Role
          type: string
        status:
          const: pending
          default: pending
          title: Status
          type: string
      required:
        - id
        - organization_id
        - email
        - role
        - expires_at
        - created_by_user_id
        - created_at
      title: InvitationSummary
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      description: Named syn_ API key or migration-only legacy key.
      scheme: bearer
      type: http
    ApiKeyAuth:
      description: Header alias for a named or legacy API key.
      in: header
      name: X-API-Key
      type: apiKey
    SessionCookie:
      description: Opaque administrator browser session.
      in: cookie
      name: synapse_session
      type: apiKey

````